> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/note-pinuri/35.-mutatie-adauga-comentariu-la-nota-selectata.md).

# 35. Mutație: Adaugă "Comentariu" la "Notă" selectată

Această mutație vă permite să adăugați un Comentariu la Nota selectată.

* Un Comentariu poate fi legat de Parcelă prin identificatorul său unic `fieldUuid` și de Notă prin `noteUuid`.
* Conținutul Comentariului poate fi furnizat folosind `text` atributul. Dacă conținutul trebuie să fie pe mai multe linii, `text` atributul ar trebui să conțină un șir cu caractere de sfârșit de linie `\\n` pentru a separa liniile. De exemplu: `"Prima linie este aici\\nA doua linie este aici.\\nA treia linie este aici."`.
* Este posibil să setați o dată și oră definită asociată comentariului folosind `dataCrearii` atributul în format ISO8601.

Cereri exemplu pot fi găsite mai jos:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Primul comentariu din multiple.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    dataCrearii
    updatedDate
    text
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Prima linie este aici\\nA doua linie este aici.\\nA treia linie este aici.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    dataCrearii
    updatedDate
    text
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/note-pinuri/35.-mutatie-adauga-comentariu-la-nota-selectata.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
